Package org.h2.mvstore

# Interface MVMap.MapBuilder<M extends MVMap<K,V>,K,V>

Type Parameters:
  `M` - the map type
  `K` - the key type
  `V` - the value type

All Known Implementing Classes:
  `MVMap.BasicBuilder`, `MVMap.Builder`, `MVRTreeMap.Builder`, `SequenceMap.Builder`

Enclosing class:
  MVMap<K,V>

public static interface MVMap.MapBuilder<M extends MVMap<K,V>,K,V>
A builder for maps.

## Method Summary

Modifier and Type
Method
Description
`M`
`create(MVStore store, Map<String,Object> config)`
Create a new map of the given type.
`DataType<K>`
`getKeyType()`
`DataType<V>`
`getValueType()`
`void`
`setKeyType(DataType<? super K> dataType)`
`void`
`setValueType(DataType<? super V> dataType)`

## Method Details

### create

M create(MVStore store, Map<String,Object> config)
Create a new map of the given type.

Parameters:
  `store` - which will own this map
  `config` - configuration
Returns:
  the map

### getKeyType

DataType<K> getKeyType()

### getValueType

DataType<V> getValueType()

### setKeyType

void setKeyType(DataType<? super K> dataType)

### setValueType

void setValueType(DataType<? super V> dataType)